# Class WrapperQuerySequence

java.lang.Object
uk.ac.starlink.table.WrapperRowSequence
uk.ac.starlink.ttools.cone.WrapperQuerySequence

All Implemented Interfaces:
  `Closeable, AutoCloseable, uk.ac.starlink.table.RowData, uk.ac.starlink.table.RowSequence, ConeQueryRowSequence, uk.ac.starlink.util.Sequence`

public class WrapperQuerySequence extends uk.ac.starlink.table.WrapperRowSequence implements ConeQueryRowSequence
ConeQueryRowSequence implementation which delegates all methods to a supplied instance.

Since:
  14 May 2014
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.table.WrapperRowSequence

`baseSeq`

## Constructor Summary

Constructors
Constructor
Description
`WrapperQuerySequence(ConeQueryRowSequence base)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getDec()`
Get central declination for the current row's cone search request in degrees.
`long`
`getIndex()`
Get the index in the underlying table to which the current row relates.
`double`
`getRa()`
Get central right ascension for the current row's cone search request in degrees.
`double`
`getRadius()`
Get search radius for the current row's cone search request in degrees.

### Methods inherited from class uk.ac.starlink.table.WrapperRowSequence

`close, getCell, getRow, next, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.RowSequence

`close, getCell, getRow, next`

## Constructor Details

### WrapperQuerySequence

public WrapperQuerySequence(ConeQueryRowSequence base)
Constructor.

Parameters:
  `base` - base sequence

## Method Details

### getRa

public double getRa() throws IOException
Description copied from interface: `ConeQueryRowSequence`
Get central right ascension for the current row's cone search request in degrees.

Specified by:
  `getRa` in interface `ConeQueryRowSequence`
Returns:
  right ascension
Throws:
  `IOException`

### getDec

public double getDec() throws IOException
Description copied from interface: `ConeQueryRowSequence`
Get central declination for the current row's cone search request in degrees.

Specified by:
  `getDec` in interface `ConeQueryRowSequence`
Returns:
  declination
Throws:
  `IOException`

### getRadius

public double getRadius() throws IOException
Description copied from interface: `ConeQueryRowSequence`
Get search radius for the current row's cone search request in degrees.

Specified by:
  `getRadius` in interface `ConeQueryRowSequence`
Returns:
  search radius
Throws:
  `IOException`

### getIndex

public long getIndex() throws IOException
Description copied from interface: `ConeQueryRowSequence`
Get the index in the underlying table to which the current row relates. The identity of this underlying table is not specified by this interface, but must be understood by the creator and user of instances. In particular, the return value does not necessarily increment by one for each call to `next`.

Specified by:
  `getIndex` in interface `ConeQueryRowSequence`
Returns:
  row index
Throws:
  `IOException`